<div class="content__item content__item--border bg__content--default" (keyup.Enter)="search(1)">
  <search-form #searchForm [moduleName]='MODULENAME' (submitEvent)='search(1)' (isDataSelectReadyEvent)="onDataSelectReady($event)" [functionCode]="functionCode" ></search-form>

  <div nz-row class="btn__row">
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
    <div nz-col [nzLg]="{span: 12}" nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="search(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
  </div>
</div>

<div class='search__content--group'>
  <mb-table-wrap>
    <mb-table (onDblClickNode)='onClickItem($event)'
              (changePageNum)='search($event)'
              [tableConfig]='tableConfig' [tableData]='searchResult'
    ></mb-table>
  </mb-table-wrap>
</div>

<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
    <nz-tag class="suspenseStatus" [nzColor]="tagSuspenseColor" *ngIf='flagStatus === 2'>{{ getFlagStatus(flagStatus)}}</nz-tag>
    <nz-tag class="isWorkingStatus" [nzColor]="tagIsWorkingColor" *ngIf='flagStatus === 1'>{{ getFlagStatus(flagStatus) }}</nz-tag>
    <nz-tag class="retiredStatus" [nzColor]="tagRetiredColor" *ngIf='flagStatus === 3'>{{ getFlagStatus(flagStatus) }}</nz-tag>
</ng-template>

